Download it now!
Bug 88303 - FILESAVE: File -> Save a Copy does not warn user about potential data loss when using non-ODF format
Summary: FILESAVE: File -> Save a Copy does not warn user about potential data loss wh...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2015-01-11 22:06 UTC by Robinson Tryon (qubit)
Modified: 2019-12-03 14:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2015-01-11 22:06:22 UTC
TESTING on Ubuntu 14.04 + LO 4.4.0.2 rc

When Saving a document or using Save-As, LibreOffice warns the user about the potential for data/formatting loss on *every* file save with the message, e.g.:

 This document may contain formatting or content
 that cannot be saved in the currently selected
 file format “Microsoft Word 2007/2010/2013 XML”.

However, when using File -> Save a Copy, no such warning is provided.

The potential for loss is very real. For details, see Bug 87761 - [Meta] Tracking bug for file format limitation issues

REPRO Steps:
- Open Writer
- File -> Save As -> (choose DOCX format)

RESULT: See a warning

- Now File -> Save a Copy -> (choose DOCX format)

RESULT: No warning

EXPECTED: Warning about potential for data loss
Comment 1 Buovjaga 2015-01-12 07:30:54 UTC
Reproduced.

Win 7 64-bit 4.3.5.2 and Version: 4.5.0.0.alpha0+
Build ID: 0748a5f8298e2ea817e131234f5e99300ed7f9f7
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-08_08:03:53

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 9763b55eb946cf425220d26dab91bf220890b180
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-08_12:56:53
Comment 2 A (Andy) 2015-12-27 19:50:59 UTC
Reproducible with LO 5.1.0.1, Win 8.1
Comment 3 QA Administrators 2017-01-03 19:54:33 UTC Comment hidden (obsolete, spam)
Comment 4 QA Administrators 2019-12-03 14:29:44 UTC
Dear Robinson Tryon (qubit),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug